# $Revision: 1.15 $, $Date: 2010/09/04 10:05:10 $
Summary:	Adaptive readahead daemon
Summary(pl.UTF-8):	Adaptacyjny demon czytania z wyprzedzeniem
Name:		preload
Version:	0.6.4
Release:	1
License:	GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/preload/%{name}-%{version}.tar.gz
# Source0-md5:	10786287b55afd3a2b433b4f898809f4
Source1:	%{name}.init
URL:		http://preload.sourceforge.net/
BuildRequires:	autoconf >= 2.56
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	help2man
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
preload is an adaptive readahead daemon. It monitors applications that
users run, and by analyzing this data, predicts what applications
users might run, and fetches those binaries and their dependencies
into memory for faster startup times.

%description -l pl.UTF-8
preload to adaptacyny demon czytania z wyprzedzeniem. Monitoruje
aplikacje uruchamiane przez użytkowników i, poprzez analizę tych
danych, przewiduje które aplikacje użytkownicy mogą uruchamiać, a
następnie pobiera te binaria i ich zależności do pamięci w celu
szybszego ich uruchamiania.

%prep
%setup -q

%{__sed} -i -e 's,^pkglocalstatedir=.*,pkglocalstatedir=%{_localstatedir}/lib/misc,' \
	configure.ac

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/preload

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README README-alpha THANKS TODO doc/*.txt
%attr(755,root,root) %{_sbindir}/preload
%config %{_sysconfdir}/preload.conf
%{_mandir}/man8/preload.8*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/preload
%attr(754,root,root) /etc/rc.d/init.d/preload
/etc/logrotate.d/preload
%attr(600,root,root) %verify(not md5 mtime size) %config(missingok,noreplace) %{_localstatedir}/log/preload.log
%attr(660,root,root) %verify(not md5 mtime size) %ghost %config(missingok,noreplace) %{_localstatedir}/lib/misc/preload.state

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: preload.spec,v $
Revision 1.15  2010/09/04 10:05:10  charles
- updated to 0.6.4
- removed outdated preload-build.patch

Revision 1.14  2008/10/12 22:48:29  blues
- rel.2

Revision 1.13  2008/09/08 10:38:22  gotar
- upgraded to 0.6.3

Revision 1.12  2007/10/12 14:26:09  glen
- make -j1

Revision 1.11  2007/09/05 11:46:08  kosmo
- added missing br: help2man

Revision 1.10  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.8  2006/10/02 20:28:19  glen
- updated to 0.4

Revision 1.7  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.6  2005/10/23 07:31:40  qboosh
- subst pkglocalstatedir in configure; now builds

Revision 1.5  2005/10/23 07:23:21  qboosh
- pl, updated preload.state patch in files, BR: pkgconfig

Revision 1.4  2005/10/23 00:32:07  glen
- set FHS compatible state file with commandline arg

Revision 1.3  2005/10/23 00:27:07  glen
- add PLD initscript

Revision 1.2  2005/10/23 00:20:05  glen
- fix build, FHS, BR, remove COPYING from doc

Revision 1.1  2005/10/22 23:54:04  glen
- new
